<?php
class ProductoModel {
    private $conexion;

    public function __construct($conexion) {
        $this->conexion = $conexion;
    }

    public function listarProductos() {
        $sql = "SELECT * FROM productos";
        return $this->conexion->query($sql);
    }

    public function registrar($datos) {
        $stmt = $this->conexion->prepare("INSERT INTO productos (codigo, nombre, tipo, categoria, medida, stock, precio) VALUES (?, ?, ?, ?, ?, ?, ?)");
        $stmt->bind_param("sssssid", ...$datos);
        return $stmt->execute();
    }
}
?>
